Subject: Re: [PATCH] i2c: mpc: Removal of of_node_put with __free for auto cleanup

From: Michael Ellerman <[email-masked]>
Date: Fri, 19 Apr 2024 17:22:43 +1000

Chris Packham <[email-masked]> writes:
> On 16/04/24 08:54, Andi Shyti wrote:
>> Hi Abhinav,
>>
>>>   	/* Enable I2C interrupts for mpc5121 */
>>> -	node_ctrl = of_find_compatible_node(NULL, NULL,
>>> -					    "fsl,mpc5121-i2c-ctrl");
>>> +	struct device_node *node_ctrl __free(device_node) =
>> How have you tested this?
>
> I'm not sure I know anyone that still has a mpc5121. Maybe someone on 
> linuxppc-dev?

Not that I know of.

The driver loads on my T4240, but doesn't hit the right paths to test
this patch.

No objection to it being merged though.

cheers